<script lang="ts">
  import { createEventDispatcher } from "svelte";
  import { crossfade } from "svelte/transition";
  import { orderPlayers } from "./lib/utils";

  const dispatch = createEventDispatcher();
  function performAction(action: Action) {
    dispatch("action", action);
  }

  const [send, receive] = crossfade({
    duration: (d) => Math.sqrt(d * 300),
  });

  export let state: GameState;
  export let userId: PlayerId | null;
  export let settings: Settings;

  $: players = orderPlayers(state.players, userId);

  let userPlayer: PlayerState | null;
  $: userPlayer =
    state.players.find((p: PlayerState) => p.id === userId) ?? null;
</script>

<div class="wrapper">Game</div>

<style>
  .wrapper :global(button:disabled) {
    pointer-events: none;
  }
</style>
